### Function

# EDataServer SoupSession util_status_to_string

since: 3.26

#### Declaration [src]

    const gchar*
    e_soup_session_util_status_to_string (
      guint status_code,
      const gchar* reason_phrase
    )

#### Description [src]

Returns the `reason_phrase`, if it’s non-`NULL` and non-empty, a static string corresponding to `status_code`. In case neither that can be found a localized “Unknown error” message is returned.

Available since: 3.26

#### Parameters

`status_code`

  Type: `guint`

  An HTTP status code.

`reason_phrase`

  Type: `const gchar*`

  Preferred string to use for the message, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Error text based on given arguments. The returned value is valid as long as `reason_phrase` is not freed.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.